org.springframework.cloud.dataflow.server.controller

## Class JobStepExecutionProgressController

- java.lang.Object
- - org.springframework.cloud.dataflow.server.controller.JobStepExecutionProgressController

-     @RestController
       @RequestMapping(value="/jobs/executions/{jobExecutionId}/steps")
       @ExposesResourceFor(value=StepExecutionProgressInfoResource.class)
      public class JobStepExecutionProgressController
      extends Object

  Author:
    Glenn Renfro

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobStepExecutionProgressController(JobService jobService)` Creates a `JobStepProgressInfoExecutionsController` that retrieves Job Step Progress Execution information from a the `JobService`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `StepExecutionProgressInfoResource` | `progress(long jobExecutionId, long stepExecutionId)` Get the step execution progress for the given jobExecutions step.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JobStepExecutionProgressController

          @Autowired
          public JobStepExecutionProgressController(JobService jobService)

      Creates a `JobStepProgressInfoExecutionsController` that retrieves Job Step Progress Execution information from a the `JobService`
      Parameters:
        `jobService` - the service this controller will use for retrieving job step progress execution information.

  - ### Method Detail

    - #### progress

          @RequestMapping(value="/{stepExecutionId}/progress",
                          method=GET)
           @ResponseStatus(value=OK)
          public StepExecutionProgressInfoResource progress(@PathVariable
                                                                                                                                                                        long jobExecutionId,
                                                                                                                                                                        @PathVariable
                                                                                                                                                                        long stepExecutionId)
                                                                                                                                                                 throws NoSuchStepExecutionException,
                                                                                                                                                                        org.springframework.batch.core.launch.NoSuchJobExecutionException

      Get the step execution progress for the given jobExecutions step.
      Parameters:
        `jobExecutionId` - Id of the `JobExecution`, must not be null
        `stepExecutionId` - Id of the `StepExecution`, must not be null
      Returns:
        `StepExecutionProgressInfoResource` that has the progress info on the given `StepExecution`.
      Throws:
        `org.springframework.batch.core.launch.NoSuchJobExecutionException` - Thrown if the respective `JobExecution` does not exist
        `NoSuchStepExecutionException` - Thrown if the respective `StepExecution` does not exist

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.